%define	module	Mail-Sender
%define	name	perl-%{module}
%define version 0.8.16
%define release %mkrel 1

%define	_requires_exceptions perl(Win32API::Registry)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for sending mails with attachments through an SMTP server 
License:	GPL
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo "N
" | %make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mail
%{_mandir}/*/*




%changelog
* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.16-1mdv2009.0
+ Revision: 235776
- update to new version 0.8.16

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.13-4mdv2009.0
+ Revision: 223810
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.13-3mdv2008.1
+ Revision: 180469
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.8.13-2mdv2008.0
+ Revision: 23365
- make build non interactive


* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.13-1mdk
- 0.8.13
- spec cleanup
- rpmbuildupdate aware

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.10-3mdk
- Rebuild

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-2mdk
- fix requires

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.10-1mdk
- 0.8.10

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.06-4mdk
- rebuild for new perl
- don't rm -rf /home/guillomovitch/rpm/tmp/perl-Mail-Sender-0.8.13 in %%prep
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.06-3mdk
- fix non interactive build
- rebuild for new auto{prov,req}

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.06-2mdk
- adjust buildrequires

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 0.8.06-1mdk
- 0.8.06.

